Summary: A daemon for automatically mounting/playing CDs.
Name: magicdev
Version: 1.1.7
Release: 2mdk
License: GPL
Group: Graphical desktop/Other
Requires: dynamic >= 0.11
URL: http://www.gnome.org
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch3: magicdev-1.1.5-dynamic.patch.bz2
# (fredl) runtime debug
Patch5: magicdev-1.1.5-debug.patch.bz2
Patch6: magicdev-1.1.7-umount.patch.bz2
# (fc) 1.1.7-2mdk only mount CDs when starting
Patch7: magicdev-1.1.7-initial.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel, libglade2.0-devel
BuildRequires: perl-XML-Parser
Requires: gnome-mime-data

%description
Magicdev is a daemon that detects when a CD is removed or
inserted. Magicdev handles running autorun programs on the CD,
updating the File Manager, and playing audio CDs.

%prep
%setup -q
%patch3 -p1 -b .dynamic
%patch5 -p1 -b .debug
%patch6 -p1 -b .umount
%patch7 -p1 -b .initial

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(magicdev): icon="hardware_section.png" title="CD Properties" longtitle="Configure handling of CD devices" needs="x11" section="Configuration/Hardware" command="%{_bindir}/gnome-cd-properties" startup_notify="true"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/magicdev.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/magicdev.schemas > /dev/null
fi


%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%config(noreplace) %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/magicdev
%{_menudir}/*

%changelog
* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-2mdk
- Patch7 : only mount CDs on start

* Mon Jul 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-1mdk
- Release 1.1.7 
- Regenerate patch6 (partially merged)

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-2mdk
- add an URL and docs to make rpmlint happy
- fix buildrequires

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- New release 1.1.6
- Remove patches 1, 2, 4 (merged upstream)
- Regenerate patch 6

* Wed Mar 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.5-6mdk
- updated description and summary
- umount when no media is present
- runtime debug

* Tue Feb 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-5mdk
- Patch4 (CVS): don't leak fd

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.5-4mdk
- Fix icon

* Fri Jan 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.5-3mdk
- menu entry for all
- fixed %%preun
- use dynamic >= 0.11

* Sat Jan 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.5-2mdk
- fix menu

* Thu Jan 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Wed Jan 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Initial Mandrake package

* Fri Jun 13 2003 Elliot Lee <sopwith@redhat.com> 1.1.4-7
- Update blacklist patch for poptOptions table termination
                                                                                
* Thu Jun 12 2003 Owen Taylor <otaylor@redhat.com> 1.1.4-6
- Blacklist a Dell CD-RW/DVD combo (#73661)
                                                                                
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt
                                                                                
* Wed Feb 26 2003 Owen Taylor <otaylor@redhat.com>
- Fix O_EXCL patch so autorun works and doesn't fcntl(-1, ...) (#85227)
                                                                                
* Tue Feb 25 2003 Bill Nottingham <notting@redhat.com> 1.1.14-3
- open device with O_EXCL (#85097)
                                                                                
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt
                                                                                
* Mon Jan 13 2003 Owen Taylor <otaylor@redhat.com>
- Version 1.1.4 (Work with ufs, handle blank CD's, mixed audio/data CDs,
  get desktop file into preferences menu)

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe

* Thu Aug 29 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.1.3 (Startup race condition, autorun dialog not going away, 
  RH bugzilla 72977)

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.1.2 (Add --unique to gnome-cd command line, RH bugzilla 39208)

* Wed Aug 21 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.1.1 (GUI tweaks, RH bugzilla 70973; put in right place in menus)

* Fri Jun  7 2002 Owen Taylor <otaylor@redhat.com>
- GNOME2 version

* Thu Aug 02 2001 Owen Taylor <otaylor@redhat.com>
- Merge spec file changes from Red Hat RPM
- Add BuildPrereq (http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=44865)

* Tue Feb 27 2001 Trond Eivind Glomsrød <teg@redhat.com>
- langify
- use %%{_tmppath}

* Mon Jul 17 2000 Elliot Lee <sopwith@redhat.com>
- Add .mo files

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild for Winston

* Wed Mar  8 2000 Matt Wilson <msw@redhat.com>
- fix for autorun

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- goad file is config file

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Initial package
